@Echo Off
Setlocal EnableDelayedExpansion

:reEnter
echo.
echo Select item to program:
echo.
echo 1 - Update program and WEB interface.
echo 2 - Erase entire memory of the module. Update program and WEB interface.
echo Q - Exit.
echo.
set /p InputFile=
echo.
if /i "%InputFile%" == "1" goto stepSetCOM
if /i "%InputFile%" == "2" goto stepSetCOM
if /i "%InputFile%" == "Q" goto exitBat
goto reEnter

:stepSetCOM
echo Enter COM port number:
for /f "tokens=*" %%i in ('REG QUERY HKLM\HARDWARE\DEVICEMAP\SERIALCOMM /s') do (
Set a1=%%i
Set a1=!a1:~-7!
Set a2=!a1:~0,1!
Set a1=!a1: =!
Set a3=!a1:COM=!
if "!a2!" EQU " " echo.!a3! - !a1!
)
echo Q - Exit.
echo.
Set /p InputCom=
if /i "%InputCom%" == "Q" goto exitBat
Set InputCom=%InputCom:COM=%

:goProg
if /i "%InputFile%" == "1" goto ProgSketchAndWeb
if /i "%InputFile%" == "2" goto eraseProgSketchAndWeb
goto exitBat

:progSketchAndWeb
.\DataFiles\esptool.exe --chip esp32 --port COM"%InputCom%" --baud 921600 --before default_reset --after hard_reset write_flash -z --flash_mode dio --flash_freq 80m --flash_size detect 0xd000 .\DataFiles\bootapp0.bin 0x1000 .\DataFiles\bootloader.bin 0x10000 .\DataFiles\esp32_hd.bin 0x8000 .\DataFiles\partitions.bin 0x110000 .\DataFiles\spiffs.img
goto endBat

:eraseProgSketchAndWeb
.\DataFiles\esptool.exe --chip esp32 --port COM"%InputCom%" --baud 921600 --before default_reset --after hard_reset erase_flash
.\DataFiles\esptool.exe --chip esp32 --port COM"%InputCom%" --baud 921600 --before default_reset --after hard_reset write_flash -z --flash_mode dio --flash_freq 80m --flash_size detect 0xd000 .\DataFiles\bootapp0.bin 0x1000 .\DataFiles\bootloader.bin 0x10000 .\DataFiles\esp32_hd.bin 0x8000 .\DataFiles\partitions.bin 0x110000 .\DataFiles\spiffs.img
goto endBat

:endBat
echo.
pause

:exitBat
